﻿using UnityEngine;
using System.Collections;

public class AnimSimple : MonoBehaviour {

	public Sprite[] sprites;
	public float timeBetweenFrames = 0.5f;

	SpriteRenderer myRenderer;
	float time = 0;
	int index = 0;

	// Use this for initialization
	void Start () {
		if( sprites.Length == 0 ) {
			enabled = false;
			return;
		}
		myRenderer = GetComponent<SpriteRenderer>();
		time = timeBetweenFrames;
		myRenderer.sprite = sprites[index];
	}
	
	// Update is called once per frame
	void Update () {

		time -= Time.deltaTime;
		if( time < 0 ) {
			time += timeBetweenFrames;
			index = (index + 1) % sprites.Length;
			myRenderer.sprite = sprites[index];
		}
	
	}
}
