﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class ScoreKeeper : MonoBehaviour {

	int score = 0;
	int scoreAddl = 0;
	int topScore = 0;

	Player player;
	WorldGen worldGen;


	public Text textScore;
	public Text textScoreFinal;

	float playerMaxY = 0;

	public void AddScore( int amount )
	{
		scoreAddl += amount;
		UpdateScore ();
	}

	// Use this for initialization
	void Start () {
		topScore = PlayerPrefs.GetInt ("TheTopScore");
		player = GameObject.Find ("Player").GetComponent<Player>();
		worldGen = GameObject.Find (".WorldGen").GetComponent<WorldGen>();
	}
	
	void FixedUpdate () {

		if( player.isPlayerDead ) {
			enabled = false;

			score += scoreAddl;

			if( score > topScore ) {
				topScore = score;
				PlayerPrefs.SetInt ("TheTopScore", topScore);
			}

			textScoreFinal.text = string.Format ("Score:   {0}\nHigh Score:   {1}", score, topScore);
		}
		else {
			if( player.gameObject.transform.position.y > playerMaxY ) {
				playerMaxY = player.gameObject.transform.position.y;

//				int scoreDiff = (int)(playerMaxY * 100) - (score + scoreAddl);

				//Debug.Log ("scoreDiff = " + scoreDiff);

//				switch(worldGen.GetCurrentLevel ())
//				{
//				case WorldGen.ArrangementInfo.Type.Easy: AddScore (scoreDiff); break;
//				case WorldGen.ArrangementInfo.Type.Medium: AddScore (scoreDiff * 2); break;
//				case WorldGen.ArrangementInfo.Type.Hard: AddScore (scoreDiff * 3); break;
//				case WorldGen.ArrangementInfo.Type.Brutal: AddScore (scoreDiff * 4); break;
//				case WorldGen.ArrangementInfo.Type.Impossible: AddScore (scoreDiff * 5); break;
//				}

				score = (int)playerMaxY * 100;
				UpdateScore ();
			}
		}
	}

	void UpdateScore()
	{
		textScore.text = string.Format ("Score:   {0}", score + scoreAddl);
	}
}
